SCORGLS(1)

NAME
scorgls - SeisComP Documentation

List origin IDs from database.

DESCRIPTION

scorgls lists all available origin IDs within a given time range to stdout. Origins are fetched from database or read from a SCML file.

Similarly, use scevtls for listing all event IDs. In extension to scorgls and scevtls scquery can search for parameters based on complex custom queries.

EXAMPLES

•   Print all origin IDs for the complete year 2012.

    scorgls -d mysql://sysop:sysop@localhost/seiscomp \
            --begin "2012-01-01 00:00:00" \
            --end "2013-01-01 00:00:00"

•   Print the IDs of all origins provided with the XML file:

    scevtls -i origins.xml

MODULE CONFIGURATION
etc/defaults/global.cfg
etc/defaults/scorgls.cfg
etc/global.cfg
etc/scorgls.cfg
~/.seiscomp/global.cfg
~/.seiscomp/scorgls.cfg

scorgls inherits global options.

COMMAND-LINE OPTIONS

scorgls [options]

  Generic

-h, --help
    Show help message.

-V, --version
    Show version information.

--config-file arg
    Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg
    Load given plugins.

-D, --daemon
    Run as daemon. This means the application will fork itself and doesn't need to be started with &.

--auto-shutdown arg
    Enable/disable self-shutdown because a master module shutdown. This only works when messaging is enabled and the master module sends a shutdown message (enabled with --start-stop-msg for the master module).

--shutdown-master-module arg
    Set the name of the master-module used for auto-shutdown. This is the application name of the module actually started. If symlinks are used, then it is the name of the symlinked application.

--shutdown-master-username arg
    Set the name of the master-username of the messaging used for auto-shutdown. If "shutdown-master-module" is given as well, this parameter is ignored.

  Verbosity

--verbosity arg
    Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v
    Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet
    Quiet mode: no logging output.

--component arg
    Limit the logging to a certain component. This option can be given more than once.

-s, --syslog
    Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg
    Path to lock file.

--console arg
    Send log output to stdout.

--debug
    Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg
    Use alternative log file.

  Database

--db-driver-list
    List all supported database drivers.

-d, --database arg
    The database connection string, format: service://user:pwd@host/database. "service" is the name of the database driver which can be queried with "--db-driver-list".

--config-module arg
    The config module to use.

--inventory-db arg
    Load the inventory from the given database or file, format: [service://]location .

--db-disable
    Do not use the database at all

  Input

-i, --input arg
    Name of input XML file. Read from stdin if '-' is given. Deactivates reading origins from database.

  Origins

--begin time
    The lower bound of the time interval. Format: 012-01-01T00:00:00.

--end time
    The upper bound of the time interval. Format: 2012-01-01T00:00:00.

  Output

-D, --delimiter string
    The delimiter of the resulting origin IDs.

AUTHOR
gempa GmbH, GFZ Potsdam

COPYRIGHT
gempa GmbH, GFZ Potsdam